> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/products/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-.net-pcl/mtscra-class-methods/mtscra-class-methods-31-40.md).

# MTSCRA Class Methods - 31 - 40

#### getCapTracks

Retrieves Track Capabilities.

public string getCapTracks()

Parameters: None Return Value:

String representing Track Capabilities:

* Bit 0 = 1 / Track 1 supported,
* Bit 1 = 1 / Track 2 supported,
* Bit 2 = 1 / Track 3 supported, All other bits = 0.

#### getCardDataCRC <a href="#id-4.32_getcarddatacrc" id="id-4.32_getcarddatacrc"></a>

Retrieves CRC from card data.

public long getCardDataCRC()

Parameters: None Return Value:

Card data CRC

#### getCardExpDate <a href="#id-4.33_getcardexpdate" id="id-4.33_getcardexpdate"></a>

Retrieves CRC from card data.

public string getCardExpDate ()

Parameters: None Return Value:

String representing card expiration date.

#### getCardIIN <a href="#id-4.34_getcardiin" id="id-4.34_getcardiin"></a>

Retrieves Issuer Identification Number (IIN) from card data.

public string getCardIIN()

Parameters: None

Return Value: String representing card IIN.

#### getCardLast4 <a href="#id-4.35_getcardlast4" id="id-4.35_getcardlast4"></a>

Retrieves Last 4 digits of card number from card data.&#x20;

public string getCardLast4()&#x20;

Parameters: None

Return Value:

String representing card last 4 digits.

#### getCardName <a href="#id-4.36_getcardname" id="id-4.36_getcardname"></a>

Retrieves card name from card data.

public string getCardName()

Parameters: None Return Value:

String representing card name.

#### getCardPAN <a href="#id-4.37_getcardpan" id="id-4.37_getcardpan"></a>

Retrieves PAN from card data.&#x20;

public string getCardPAN()&#x20;

Parameters: None

Return Value: String representing card PAN.

#### getCardPANLength <a href="#id-4.38_getcardpanlength" id="id-4.38_getcardpanlength"></a>

Retrieves PAN length from card data.&#x20;

public int getCardPANLength()&#x20;

Parameters: None

Return Value: PAN length.

#### getCardServiceCode <a href="#id-4.39_getcardservicecode" id="id-4.39_getcardservicecode"></a>

Retrieves Service Code.

public string getCardServiceCode()

Parameters: None

Return Value: String representing service code.

#### getCardStatus <a href="#id-4.40_getcardstatus" id="id-4.40_getcardstatus"></a>

Retrieves the card status.

public string getCardStatus()

Parameters: None Return Value:

String representing the card status.

Card Status

This is a string value which indicates the card status. The following table defines the possible values.

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">00</td><td valign="top">The card was swiped in the withdrawal direction.</td></tr><tr><td valign="top">01</td><td valign="top">The card was swiped in the insertion direction.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/products/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-.net-pcl/mtscra-class-methods/mtscra-class-methods-31-40.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
